Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class CaseInsensitiveMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--org.apache.commons.collections.map.AbstractHashedMap
                  |
                  +--org.apache.commons.collections.map.CaseInsensitiveMap

All Implemented Interfaces:
  Cloneable, IterableMap, Map, Serializable

public class CaseInsensitiveMap
extends AbstractHashedMap
implements Serializable, Cloneable

A case-insensitive `Map`.

As entries are added to the map, keys are converted to all lowercase. A new key is compared to existing keys by comparing `newKey.toString().toLower()` to the lowercase values in the current `KeySet.`

Null keys are supported.

The `keySet()` method returns all lowercase keys, or nulls.

Example:

      Map map = new CaseInsensitiveMap();
      map.put("One", "One");
      map.put("Two", "Two");
      map.put(null, "Three");
      map.put("one", "Four");

creates a `CaseInsensitiveMap` with three entries.
`map.get(null)` returns `"Three"` and `map.get("ONE")` returns `"Four".` The `Set` returned by `keySet()` equals `{"one", "two", null}.`

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 01:13:19 $
Author:
  Commons-Collections team
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.commons.collections.map.AbstractHashedMap
`AbstractHashedMap.EntrySet, AbstractHashedMap.EntrySetIterator, AbstractHashedMap.HashEntry, AbstractHashedMap.HashIterator, AbstractHashedMap.HashMapIterator, AbstractHashedMap.KeySet, AbstractHashedMap.KeySetIterator, AbstractHashedMap.Values, AbstractHashedMap.ValuesIterator`

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractHashedMap
`data, DEFAULT_CAPACITY, DEFAULT_LOAD_FACTOR, DEFAULT_THRESHOLD, entrySet, GETKEY_INVALID, GETVALUE_INVALID, keySet, loadFactor, MAXIMUM_CAPACITY, modCount, NO_NEXT_ENTRY, NO_PREVIOUS_ENTRY, NULL, REMOVE_INVALID, SETVALUE_INVALID, size, threshold, values`

Constructor Summary
`CaseInsensitiveMap()` Constructs a new empty map with default size and load factor.
`CaseInsensitiveMap(int initialCapacity)` Constructs a new, empty map with the specified initial capacity.
`CaseInsensitiveMap(int initialCapacity, float loadFactor)` Constructs a new, empty map with the specified initial capacity and load factor.
`CaseInsensitiveMap(Map map)` Constructor copying elements from another map.

Method Summary
`Object` | `clone()` Clones the map without cloning the keys or values.
`protected Object` | `convertKey(Object key)` Overrides convertKey() from `AbstractHashedMap` to convert keys to lower case.

Methods inherited from class org.apache.commons.collections.map.AbstractHashedMap
`addEntry, addMapping, calculateNewCapacity, calculateThreshold, checkCapacity, clear, containsKey, containsValue, createEntry, createEntrySetIterator, createKeySetIterator, createValuesIterator, destroyEntry, doReadObject, doWriteObject, ensureCapacity, entryHashCode, entryKey, entryNext, entrySet, entryValue, equals, get, getEntry, hash, hashCode, hashIndex, init, isEmpty, isEqualKey, isEqualValue, keySet, mapIterator, put, putAll, remove, removeEntry, removeMapping, reuseEntry, size, toString, updateEntry, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CaseInsensitiveMap

    public CaseInsensitiveMap()

  Constructs a new empty map with default size and load factor.

### CaseInsensitiveMap

    public CaseInsensitiveMap(int initialCapacity)

  Constructs a new, empty map with the specified initial capacity.

Parameters:
  `initialCapacity` - the initial capacity
Throws:
  `IllegalArgumentException` - if the initial capacity is less than one

### CaseInsensitiveMap

    public CaseInsensitiveMap(int initialCapacity,
                              float loadFactor)

  Constructs a new, empty map with the specified initial capacity and load factor.

Parameters:
  `initialCapacity` - the initial capacity
  `loadFactor` - the load factor
Throws:
  `IllegalArgumentException` - if the initial capacity is less than one
  `IllegalArgumentException` - if the load factor is less than zero

### CaseInsensitiveMap

    public CaseInsensitiveMap(Map map)

  Constructor copying elements from another map.

  Keys will be converted to lower case strings, which may cause some entries to be removed (if string representation of keys differ only by character case).

Parameters:
  `map` - the map to copy
Throws:
  `NullPointerException` - if the map is null

Method Detail

### convertKey

    protected Object convertKey(Object key)

  Overrides convertKey() from `AbstractHashedMap` to convert keys to lower case.

  Returns null if key is null.

  Overrides:
    `convertKey` in class `AbstractHashedMap`
  Parameters:
    `key` - the key convert
  Returns:
    the converted key

### clone

    public Object clone()

  Clones the map without cloning the keys or values.

  Overrides:
    `clone` in class `AbstractHashedMap`
  Returns:
    a shallow clone

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.